Bug 168332 - emulators/open-vm-tools: Problems with DHCP on startup in Open-VM-Tools VMXNet driver
emulators/open-vm-tools: Problems with DHCP on startup in Open-VM-Tools VMXNe...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Steve Wills
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 10:10 UTC by olaf
Modified: 2013-12-22 22:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description olaf 2012-05-25 10:10:01 UTC
exactly as in bug # ports/149949
Comment 1 Mark Linimon freebsd_committer 2012-05-28 03:25:12 UTC
Responsible Changed
From-To: freebsd-bugs->swills

make this a ports PR and assign.
Comment 2 Steve Wills freebsd_committer 2012-06-11 04:01:02 UTC
Hi,

Does doing the two suggestions in fix section of PR ports/149949 solve
it for you?

Steve
Comment 3 Steve Wills freebsd_committer 2012-06-11 04:23:23 UTC
State Changed
From-To: open->feedback

- waiting on feedback
Comment 4 dfilter freebsd_committer 2013-12-22 22:23:13 UTC
Author: swills
Date: Sun Dec 22 22:23:06 2013
New Revision: 337221
URL: http://svnweb.freebsd.org/changeset/ports/337221

Log:
  - Require netif in vmware-guestd to avoid DHCP issue
  - Bump PORTREVISION for package change
  
  PR:		ports/168332
  PR:		ports/149949

Modified:
  head/emulators/open-vm-tools/Makefile
  head/emulators/open-vm-tools/files/vmware-guestd.in

Modified: head/emulators/open-vm-tools/Makefile
==============================================================================
--- head/emulators/open-vm-tools/Makefile	Sun Dec 22 21:21:24 2013	(r337220)
+++ head/emulators/open-vm-tools/Makefile	Sun Dec 22 22:23:06 2013	(r337221)
@@ -3,7 +3,7 @@
 
 PORTNAME=		open-vm-tools
 PORTVERSION=		${BUILD_VER}
-PORTREVISION=		0
+PORTREVISION=		1
 PORTEPOCH=		1
 CATEGORIES=		emulators
 MASTER_SITES=		SF/${PORTNAME}/${PORTNAME}/stable-9.4.x

Modified: head/emulators/open-vm-tools/files/vmware-guestd.in
==============================================================================
--- head/emulators/open-vm-tools/files/vmware-guestd.in	Sun Dec 22 21:21:24 2013	(r337220)
+++ head/emulators/open-vm-tools/files/vmware-guestd.in	Sun Dec 22 22:23:06 2013	(r337221)
@@ -4,7 +4,7 @@
 #
 
 # PROVIDE: vmware-guestd
-# REQUIRE: DAEMON
+# REQUIRE: DAEMON netif
 # BEFORE: LOGIN
 
 . /etc/rc.subr
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Steve Wills freebsd_committer 2013-12-22 22:23:22 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!